This discussion is archived
1 Reply Latest reply: Jun 19, 2012 7:55 PM by handat RSS

application deploy on iplanet7.0 but not on sun one 6.1

944502 Newbie
Currently Being Moderated
i am using the iPlanet 7.0 server and i am successfully able to deploy and run my web application on it.but i have to use SunOne 6.1 web server and have to deploy my application on it.
but i am not able to deploy it on it.below is the error i got.

Parse error in application web.xml org.xml.sax.SAXParseException: Document root element "web-app", must match DOCTYPE root "null". org.apache.xerces.parsers.AbstractSAXParser.parse(Unknown Source) at javax.xml.parsers.SAXParser.parse(Unknown Source) at javax.xml.parsers.SAXParser.parse(Unknown Source)

[08/Jun/2012:13:10:53] failure (10682590): for host 89.0.0.149 trying to
GET /1m ageadmin/index.jsp, service-j2ee reports: StandardWrapperValve[jsp]: WEB2792: Se rvlet.service() for servlet jsp threw exception org.apache.jasper.JasperException: WEB4000: Unable to
compile class for JSP /usr/netscape/SUNWwbsvr/https-f80.eagle.com/ClassCache/https-f80.eagle.com
/1mage admin/_jsps/_index_jsp.java:3: cannot access com.oneimagesoftware.util.LocaleBundle
bad class file: /usr/netscape/SUNWwbsvr/https-f80.eagle.com/webapps/1mageadmin/WEB-INF/classes/com/oneimagesoftware/util/LocaleBundle.class
class file has wrong version 49.0, should be 48.0 Please remove or make sure it appears
in the correct subdirectory of the classpa th. Import com.oneimagesoftware.util.LocaleBundle;

can any one help me out??

i have to do this.. plz help me out.
  • 1. Re: application deploy on iplanet7.0 but not on sun one 6.1
    handat Expert
    Currently Being Moderated
    Looks like you are using different version of JDK on your servers and you compiled the classes for a higher version on your iplanet 7 server. Try recompiling using an older JDK (ie the same version that is on your 6.1 server) or use the -target option of your java compiler to force a specific version. I suspect you are probably using JDK 1.6 for your iplanet 7 server while your iplanet 6.1 server is using probably using JDK 1.5 or even 1.4.

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points